#version 440 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 textures;

out VertexData {
	vec3 position_world;
	vec3 normal_world;
} vert;

uniform mat4 modelMatrix;
uniform mat3 normalMatrix;
uniform mat4 viewProjMatrix;



void main(){

	vert.normal_world = normalMatrix * normal;
	vec4 position_world = modelMatrix * vec4(position.x, position.y, position.z, 1.0);
	vert.position_world = position_world.xyz;
	gl_Position = viewProjMatrix * position_world;
}