#version 440 core

layout (location = 0) out vec4 FragColor;

in vec2 uv;

layout(binding=0) uniform sampler2D scene;
layout(binding=1) uniform sampler2D bloom;

uniform float exposure;
uniform float gamma;

void main()
{            

    vec3 hdrColor = texture(scene, uv).rgb;      
    vec3 bloomColor = texture(bloom, uv).rgb;
    hdrColor += bloomColor; // additive blending
    // tone mapping
    vec3 result = vec3(1.0) - exp(-hdrColor * exposure);
    // also gamma correct while we're at it       
    // result = pow(result, vec3(1.0 / gamma));
    FragColor = vec4(result, 1.0);
}